petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateExodus

Create a DMPlex mesh from an ExodusII file ID.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateExodus(MPI_Comm comm, PetscInt exoid, PetscBool interpolate, DM *dm)

Collective on comm Many br

### Input Parameters

| comm | - The MPI communicator Many br
| exoid | - The ExodusII id associated with a exodus file and obtained using ex_open Many br
| interpolate | - Create faces and edges in the mesh Many br

### Output Parameter

dm -The DM object representing the mesh Many br

Many br

### Keywords

mesh,ExodusII

### See Also

DMPLEX, DMCreate()

Level:beginner
Location:src/dm/impls/plex/plexexodusii.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages